=== debian/changelog ===
ros-melodic-rosserial-python (0.8.0-0stretch) stretch; urgency=high

  * fix no attribute message_cache issue in message_info_service (#393 <https://github.com/ros-drivers/rosserial/issues/393>)
  * Added service to force an Arduino hard reset in serial_node.py (#349 <https://github.com/ros-drivers/rosserial/issues/349>)
    * Added hard_reset service call to serial_node
    * Refactored SerialClient to use a write thread, working around deadlock when both Arduino and serial_node.py get stuck writing to each other.
    * Updated cmakelists and package.xml to include dependencies. Removed unnecessary tcp functionality from arduino-specific serial_node.py
  * Add support for boolean parameters (#355 <https://github.com/ros-drivers/rosserial/issues/355>)
  * [python] fix an unboundlocalerror (#346 <https://github.com/ros-drivers/rosserial/issues/346>)
  * Retry opening the serial port every 3 seconds (#342 <https://github.com/ros-drivers/rosserial/issues/342>)
    * Retry opening the serial port every 3 seconds
    * Break out of the retry loop if we've been shut down
  * Contributors: Chris Spencer, Kenta Yonekura, Pikrass, dlguo-cpr

 -- Paul Bouchier <paul.bouchier@gmail.com>  Thu, 11 Oct 2018 04:00:00 -0000

ros-melodic-rosserial-python (0.7.7-0stretch) stretch; urgency=high

  * Fix catkin lint errors (#296 <https://github.com/ros-drivers/rosserial/issues/296>)
  * pyserial bug workaround to fix rosserial_test test against SerialClient.py (#313 <https://github.com/ros-drivers/rosserial/issues/313>)
  * Add requestTopics to correct publish before setup (#308 <https://github.com/ros-drivers/rosserial/issues/308>)
  * Contributors: Bei Chen Liu, Tom O'Connell

 -- Paul Bouchier <paul.bouchier@gmail.com>  Wed, 29 Nov 2017 05:00:00 -0000

ros-melodic-rosserial-python (0.7.6-0stretch) stretch; urgency=high

  * Fix typo in serial error message (#253 <https://github.com/ros-drivers/rosserial/issues/253>)
  * Contributors: Jonathan Binney

 -- Paul Bouchier <paul.bouchier@gmail.com>  Wed, 01 Mar 2017 05:00:00 -0000

ros-melodic-rosserial-python (0.7.5-0stretch) stretch; urgency=high



 -- Paul Bouchier <paul.bouchier@gmail.com>  Tue, 22 Nov 2016 05:00:00 -0000

ros-melodic-rosserial-python (0.7.4-0stretch) stretch; urgency=high

  * Try to read more serial bytes in a loop (#248 <https://github.com/ros-drivers/rosserial/issues/248>)
  * Add missing "import errno" to rosserial_python
  * Integration tests for rosserial (#243 <https://github.com/ros-drivers/rosserial/issues/243>)
  * rosserial_python tcp server allowing socket address reuse (#242 <https://github.com/ros-drivers/rosserial/issues/242>)
  * Contributors: Mike Purvis, Vitor Matos, davidshin172

 -- Paul Bouchier <paul.bouchier@gmail.com>  Wed, 21 Sep 2016 04:00:00 -0000

ros-melodic-rosserial-python (0.7.3-0stretch) stretch; urgency=high



 -- Paul Bouchier <paul.bouchier@gmail.com>  Fri, 05 Aug 2016 04:00:00 -0000

ros-melodic-rosserial-python (0.7.2-0stretch) stretch; urgency=high



 -- Paul Bouchier <paul.bouchier@gmail.com>  Fri, 15 Jul 2016 04:00:00 -0000

ros-melodic-rosserial-python (0.7.1-0stretch) stretch; urgency=high



 -- Paul Bouchier <paul.bouchier@gmail.com>  Mon, 06 Jul 2015 04:00:00 -0000

ros-melodic-rosserial-python (0.7.0-0stretch) stretch; urgency=high

  * Adds default queue_size of 10 for rosserial_python publisher.
  * Fixed queue size warning with diagnostics publisher.
  * We don't need roslib.load_manifest any more under catkin.
  * Contributors: Basheer Subei, David Lavoie-Boutin, Mike Purvis, eisoku9618

 -- Paul Bouchier <paul.bouchier@gmail.com>  Thu, 23 Apr 2015 04:00:00 -0000

ros-melodic-rosserial-python (0.6.3-0stretch) stretch; urgency=high



 -- Paul Bouchier <paul.bouchier@gmail.com>  Wed, 05 Nov 2014 05:00:00 -0000

ros-melodic-rosserial-python (0.6.2-0stretch) stretch; urgency=high

  * Added MD5 verification for request and response messags upon ServiceClient registration.
  * Enabled registration of service clients
  * Contributors: Jonathan Jekir

 -- Paul Bouchier <paul.bouchier@gmail.com>  Wed, 10 Sep 2014 04:00:00 -0000

ros-melodic-rosserial-python (0.6.1-0stretch) stretch; urgency=high



 -- Paul Bouchier <paul.bouchier@gmail.com>  Mon, 30 Jun 2014 04:00:00 -0000

ros-melodic-rosserial-python (0.6.0-0stretch) stretch; urgency=high



 -- Paul Bouchier <paul.bouchier@gmail.com>  Wed, 11 Jun 2014 04:00:00 -0000

ros-melodic-rosserial-python (0.5.6-0stretch) stretch; urgency=high

  * Add Mike Purvis as maintainer to all but xbee.
  * Added the missing inWaiting() to RosSerialServer
  * improvement: inform user of mismatched checksum for topic_id and msg
  * Fix indent on if-block.
  * Check for data in buffer before attempting to tryRead. Insert a 1ms sleep to avoid pegging the processor.
  * Better warning message for tryRead.
  * fix two points: 1. the number of bytes to read for chk_byte, 2. the wrong indentation about the defination of sendDiagnostics()
  * Try-block to handle IOErrors thrown from tryRead
  * Merge from hydro-devel.
  * fix the dupilcated registration problem of subscriber
  * remove ID_TX_STOP from rosserial_msgs/msg/TopicInfo.msg, using hardcode modification. fix the dupilcated registration problem of subscriber
  * modified rosserial
  * modified rosserial
  * Contributors: Girts Linde, Mike Purvis, Moju Zhao, bakui, denis

 -- Paul Bouchier <paul.bouchier@gmail.com>  Wed, 11 Jun 2014 04:00:00 -0000

ros-melodic-rosserial-python (0.5.5-0stretch) stretch; urgency=high



 -- Paul Bouchier <paul.bouchier@gmail.com>  Tue, 14 Jan 2014 05:00:00 -0000

ros-melodic-rosserial-python (0.5.4-0stretch) stretch; urgency=high



 -- Paul Bouchier <paul.bouchier@gmail.com>  Thu, 17 Oct 2013 04:00:00 -0000

ros-melodic-rosserial-python (0.5.3-0stretch) stretch; urgency=high

  * De-register subscribers and service clients upon disconnect.
    This prevents callbacks being called after a client program
    terminates a connection.

